Subject: Algae

From: [email-masked] (Karl Lembke)
Date: 15 Aug 94 22:41:58 -0800

-=> Quoting sergio musetti to All <=-

 sm> Have you tried Super Blue Green Algae with your food, or in a drink?
 sm> Is there any story about this algae?
 sm> One month ago a friend told me about it, and after a few days using
 sm> the algae(in capsules) I started waking up at 5:30am, feeling full of
 sm> energy until 9:00 pm and a few health changes(positive ones) so I
 sm> decided to cook with it.  In rice, salads, mixed with juices and it was
 sm> not bad at all.
 sm> Please send me your experiences... [email-masked]
 sm> Thanks.   Sergio Musetti, MA

I would be curious to see the results of a double-blind placebo
controlled study.  

... Jesus saves....Moses invests....Cthulhu forecloses....